from dictionary_loader import load_dictionary_from_supabase
from audio_processing import process_audio

def initialize():
    success = load_dictionary_from_supabase()
    if not success:
        print("Warning: Dictionary loading failed. Proceeding with default dictionary.")
    # Add any other necessary initializations here

def main():
    initialize()
    
    # This is where you'd typically set up your API routes
    # For demonstration, let's just process a sample audio file
    
    sample_audio_path = "data/01.m4a"
    with open(sample_audio_path, "rb") as audio_file:
        raw_transcript, corrected_transcript = process_audio(audio_file)
    
    if raw_transcript and corrected_transcript:
        # print("Raw Transcript:")
        # print(raw_transcript)
        # print("\nCorrected Transcript:")
        print(corrected_transcript)
    else:
        print("Audio processing failed.")

if __name__ == "__main__":
    main()